<template>
  <div>
    <h3>New Tweets</h3>
    <div v-if="user">
      <div v-for="tweet in user.tweets" :key="tweet.id">
        {{tweet.tweet}}
      </div>
    </div>
    <div v-else>Please login</div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  computed: mapGetters(['user']),
  methods: mapActions(['fetchNewTweets']),
  created() {
    if(this.user) {
      this.fetchNewTweets(this.user.id)
    }
  },
}
</script>

<style>

</style>
